package com.ym.mec.collectfee.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(mec_user):
 */
@XStreamAlias("student")
public class MecUser {

	/**  */
	private Integer userId;
	
	/**  */
	private String userName;
	
	/**  */
	private String mobile;
	
	/**  */
	private Integer branchId;
	
	/**  */
	private Integer city;
	
	/**  */
	private String realName;
	
	/**  */
	private Integer sex;
	
	/**  */
	private Integer ethnic;
	
	/**  */
	private String cardNo;
	
	/**  */
	private String birthDay;
	
	/**  */
	private String company;
	
	/**  */
	@XStreamAlias("class")
	private String clazz;
	
	/**  */
	private String pName;
	
	/**  */
	private String pCompany;
	
	/**  */
	private java.math.BigDecimal balance;
	
	/**  */
	private Integer active;
	
	/**  */
	private String wxAccount;
	
	/**  */
	private String aliAccount;
	
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUserName(String userName){
		this.userName = userName;
	}
	
	public String getUserName(){
		return this.userName;
	}
			
	public void setMobile(String mobile){
		this.mobile = mobile;
	}
	
	public String getMobile(){
		return this.mobile;
	}
			
	public void setBranchId(Integer branchId){
		this.branchId = branchId;
	}
	
	public Integer getBranchId(){
		return this.branchId;
	}
			
	public void setCity(Integer city){
		this.city = city;
	}
	
	public Integer getCity(){
		return this.city;
	}
			
	public void setRealName(String realName){
		this.realName = realName;
	}
	
	public String getRealName(){
		return this.realName;
	}
			
	public void setSex(Integer sex){
		this.sex = sex;
	}
	
	public Integer getSex(){
		return this.sex;
	}
			
	public void setEthnic(Integer ethnic){
		this.ethnic = ethnic;
	}
	
	public Integer getEthnic(){
		return this.ethnic;
	}
			
	public void setCardNo(String cardNo){
		this.cardNo = cardNo;
	}
	
	public String getCardNo(){
		return this.cardNo;
	}
			
	public void setBirthDay(String birthDay){
		this.birthDay = birthDay;
	}
	
	public String getBirthDay(){
		return this.birthDay;
	}
			
	public void setCompany(String company){
		this.company = company;
	}
	
	public String getCompany(){
		return this.company;
	}
			
	public void setClazz(String clazz){
		this.clazz = clazz;
	}
	
	public String getClazz(){
		return this.clazz;
	}
			
	public void setPName(String pName){
		this.pName = pName;
	}
	
	public String getPName(){
		return this.pName;
	}
			
	public void setPCompany(String pCompany){
		this.pCompany = pCompany;
	}
	
	public String getPCompany(){
		return this.pCompany;
	}
			
	public void setBalance(java.math.BigDecimal balance){
		this.balance = balance;
	}
	
	public java.math.BigDecimal getBalance(){
		return this.balance;
	}
			
	public void setActive(Integer active){
		this.active = active;
	}
	
	public Integer getActive(){
		return this.active;
	}
			
	public void setWxAccount(String wxAccount){
		this.wxAccount = wxAccount;
	}
	
	public String getWxAccount(){
		return this.wxAccount;
	}
			
	public void setAliAccount(String aliAccount){
		this.aliAccount = aliAccount;
	}
	
	public String getAliAccount(){
		return this.aliAccount;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
